package stiftUndCo;
import java.awt.*;
/**
Malflaeche beschreibt eine abstrakte Klasse, die alle Eigenschaften
definiert, die ein Stift/BuntStift ben&ouml;tigt.
Bildschirm und Blatt beispielsweise implementieren Malflaeche.
Der Stift erwartet eine Malflaeche als Lieferant f&uuml;r einen Grafikkontext etc.
@author Georg Dick
@version 22.7.98
*/
public interface Malflaeche 
{
	public Graphics aktuellerGrafikkontext();
	public int breite();
	public void gibFrei();
	public Color hintergrundFarbe();
	public int hoehe();
	public void loescheAlles();
	public void setzeHintergrundFarbe(Color c);
}

